Bug 161653 - The numbering toolbar dropdown no longer can select from the 8-block of options
Summary: The numbering toolbar dropdown no longer can select from the 8-block of options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
24.8.0.0 alpha0+
Hardware: All All
: high normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:25.2.0 target:24.8.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2024-06-19 12:02 UTC by Justin L
Modified: 2024-07-08 14:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2024-06-19 12:02:13 UTC
In the formatting toolbar (or the sidebar), there is the Ordered numbering (.uno:DefaultNumbering) button with a drop-down 8-grid of numbering choices. 
The drop-down choices no longer do anything, starting with 24.8 commit c8a5dc46d11f2ef1e3a66d633730d9a700ced24a
Author: Samuel Mehrbrodt on Mon May 6 09:20:58 2024 +0200
    tdf#161056 Show bullets used in document in bullets dropdown
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/167186

The same is true for Outline Format numbering (.uno:SetOutline), except that selecting one of the 8-grid entries opens the dialog instead.
Comment 1 m_a_riosv 2024-06-19 21:53:32 UTC
Reproducible
Version: 25.2.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: c39e4f6b8a942680bc7250177c34fd034a0605e0
CPU threads: 16; OS: Windows 11 X86_64 (10.0 build 22631); UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US
Calc: CL threaded
Comment 2 Commit Notification 2024-06-20 07:42:37 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41d26f14fffdb701f6e7ef459a11577725cd0d27

tdf#161653 Fix selecting from numbering dropdown

It will be available in 25.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2024-06-20 14:17:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-24-8":

https://git.libreoffice.org/core/commit/e0245c22b646ac22de476be0537d694704d56459

tdf#161653 Fix selecting from numbering dropdown

It will be available in 24.8.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Samuel Mehrbrodt (allotropia) 2024-07-04 12:34:47 UTC
Same problem in Impress.
Comment 5 Commit Notification 2024-07-05 01:46:15 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab5d79c90fc33b0a32604e3cbbbc686d01d85d39

tdf#161653 Fix selecting from numbering dropdown (Impress/Draw)

It will be available in 25.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2024-07-05 07:51:59 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-24-8":

https://git.libreoffice.org/core/commit/3bb5b8558f6a6482d87d4fbacd65efc9fdb7e5af

tdf#161653 Fix selecting from numbering dropdown (Impress/Draw)

It will be available in 24.8.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.